org.apache.jmeter.protocol.tcp.sampler

## Class ReadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.jmeter.protocol.tcp.sampler.ReadException

All Implemented Interfaces:
  Serializable

    public class ReadException
    extends Exception

Exception that contains partial response (Text read until exception occurred)

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ReadException()` Deprecated. For use by test code only (serialisation tests)
`ReadException(String message, Throwable cause, String partialResponse)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPartialResponse()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReadException

    @Deprecated
    public ReadException()

Deprecated. For use by test code only (serialisation tests)

#### ReadException

    public ReadException(String message,
                         Throwable cause,
                         String partialResponse)

Constructor

Parameters:
  `message` - Message
  `cause` - Source cause
  `partialResponse` - Text read until error occurred

### Method Detail

#### getPartialResponse

    public String getPartialResponse()

Returns:
  the partialResponse Text read until error occurred